RW <- function(n)
	return(cumsum(1-2*rbinom(n, 1, 0.5)))

n <- 100

generategraph <- function(n)
{
	trace1 = list(
		x = 1:n,
		y = RW(n),
		type = 'scatter',
		mode = 'lines',
		name = 'Red',
		line = list(
			color = 'rgb(219, 64, 82)',
			width = 3
		)
	)

	trace2 = list(
		x = 1:n,
		y = RW(n),
		type = 'scatter',
		mode = 'lines',
		name = 'Blue',
		line = list(
			color = 'rgb(55, 128, 191)',
			width = 1
		)
	)

	layout = list(
		width = 500,
		height = 500
	)

	data = list(trace1, trace2)

	return(list(traces = data, layout = layout))
}

mygraph <- generategraph(n)

updategraph <- function(n)
{
	mygraph <<- generategraph(n)
	gui.update("this", "mygraph")
}
